%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/invopop/yaml
Version:                0.2.0

%gometa

%global common_description %{expand:
A better way to marshal and unmarshal YAML in Golang.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        A better way to marshal and unmarshal YAML in Golang

License:        MIT AND BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.0-2
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
